Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.exception
Class OoOPublicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.ehbox.v3.exception.OoOPublicationException

All Implemented Interfaces:
  Serializable

    public class OoOPublicationException

extends ConnectorException

Exception for the OoO problem in ehboxv3

See Also:
  Serialized Form

Constructor Summary
`OoOPublicationException(String message, String errorCode, SendMessageResponse response)`

Method Summary
`SendMessageResponse` | `getResponse()` Getter for the send message response.

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OoOPublicationException

    public OoOPublicationException(String message,
                                   String errorCode,
                                   SendMessageResponse response)

Parameters:
  `message` -
  `errorCode` -

Method Detail

### getResponse

    public final SendMessageResponse getResponse()

  Getter for the send message response. This response contains the list of all recipients with, for each of them, their id, quality, type, subtype, list of substitues but also AbsentFrom and AbsentTo dates. This allows to check the returned substitutes for the out of office recipients.

  Returns:
    the response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.